scala.tools.nsc.typechecker

# ImplicitsStats

#### object ImplicitsStats

Source
  Implicits.scala

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ImplicitsStats
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### val findMemberImpl: SubCounter

10. #### val foundImplicits: SubCounter

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### val implicitCacheAccs: Counter

14. #### val implicitCacheHits: SubCounter

15. #### val implicitNanos: Timer

16. #### val implicitSearchCount: Counter

17. #### val improvesCachedCount: SubCounter

18. #### val improvesCount: SubCounter

19. #### val inscopeFailNanos: Timer

20. #### val inscopeImplicitHits: SubCounter

21. #### val inscopeSucceedNanos: Timer

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### val matchesPtNanos: Timer

24. #### val matchingImplicits: SubCounter

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### val oftypeFailNanos: Timer

29. #### val oftypeImplicitHits: SubCounter

30. #### val oftypeSucceedNanos: Timer

31. #### val plausiblyCompatibleImplicits: SubCounter

32. #### val rawTypeImpl: SubCounter

33. #### val subtypeAppInfos: SubCounter

34. #### val subtypeETNanos: Timer

35. #### val subtypeImpl: SubCounter

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def toString(): String

    Definition Classes
      AnyRef → Any

38. #### val typedImplicits: SubCounter

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped